Subject: Re: cogito remote branch

From: Andreas Ericsson <[email-masked]>
Date: Fri, 09 Nov 2007 14:20:05 +0100

[email-masked] wrote:
> Hi,
> 
> I just saw the scripts cg-update, cg-push ..  scripts try to guess a
> branch name functioning as origin if no argument is given. These scripts
> seam to use a branch named <branchname>-origin if it exists and the
> current
> branch is named <branchname> and is not the branch named master.
> 
> I like that feature. Is it anywhere documented?
> 
> In case there is no branch named <branchname>-origin the scripts just
> use origin even if the current branch is not master. I would prefer the
> scripts to fail in this case and to print a message asking the user to
> specifically name a branch.
> 

Cogito is deprecated, and has been for quite some time. The "remote"
feature of core git (inspired by cogito) offers similar benefits.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231